Run OOM with 7 Kubernetes host VMs 97/45697/2
authorGary Wu <gary.i.wu@huawei.com>
Tue, 1 May 2018 22:59:28 +0000 (15:59 -0700)
committerGary Wu <gary.i.wu@huawei.com>
Wed, 2 May 2018 20:40:29 +0000 (13:40 -0700)
Bump helm to 2.8.2.
Bump kubectl to 1.8.10.
Remove obsolete HEAT parameters.

Change-Id: Ifb644cc354b8dc4dc8a8c39023b2016eaf84c7da
Issue-ID: INT-381
Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
32 files changed:
deployment/heat/onap-oom/env/gwu/onap.env
deployment/heat/onap-oom/env/huawei/onap-beijing-oom.env
deployment/heat/onap-oom/env/tlab/ETE-HEAT-Test.env
deployment/heat/onap-oom/env/tlab/ETE-OOM-Test.env
deployment/heat/onap-oom/env/tlab/EXTONAP_DEV.env
deployment/heat/onap-oom/env/tlab/integration-override.yaml
deployment/heat/onap-oom/env/windriver/Integration-Jenkins-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-Jenkins.env
deployment/heat/onap-oom/env/windriver/Integration-SB-00-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-00.env [changed mode: 0755->0644]
deployment/heat/onap-oom/env/windriver/Integration-SB-01-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-01.env
deployment/heat/onap-oom/env/windriver/Integration-SB-02-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-02.env
deployment/heat/onap-oom/env/windriver/Integration-SB-03-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-03.env
deployment/heat/onap-oom/env/windriver/Integration-SB-04-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-04.env
deployment/heat/onap-oom/env/windriver/Integration-SB-05-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-05.env
deployment/heat/onap-oom/env/windriver/Integration-SB-06-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-06.env
deployment/heat/onap-oom/env/windriver/Integration-SB-07-DNS-openrc [deleted symlink]
deployment/heat/onap-oom/env/windriver/Integration-SB-07.env
deployment/heat/onap-oom/k8s_vm_entrypoint.sh
deployment/heat/onap-oom/onap-oom.yaml
deployment/heat/onap-oom/parts/onap-oom-1.yaml [new file with mode: 0644]
deployment/heat/onap-oom/parts/onap-oom-2.yaml [new file with mode: 0644]
deployment/heat/onap-oom/parts/onap-oom-3.yaml [new file with mode: 0644]
deployment/heat/onap-oom/rancher_vm_entrypoint.sh
deployment/heat/onap-oom/scripts/deploy.sh
deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh [new file with mode: 0755]

index 1a9aa9a..6e7c7c4 100644 (file)
@@ -1,33 +1,16 @@
 parameters:
 
-  keystone_url: http://192.168.1.11:5000
-  openstack_tenant_id: 4c93f99551604bf7af25a8f80c7f34cb
-  openstack_tenant_name: onap
-  openstack_username: demo
-  openstack_api_key: demo
-
   ubuntu_1404_image: trusty
   ubuntu_1604_image: xenial
-  centos_7_image: centos7
 
+  lab_name: gwu
   apt_proxy: 192.168.1.51:3142
   docker_proxy: 192.168.1.51:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 024582bd-ef9b-48b9-9e70-e6732559d9df
   public_net_name: provider
 
   oam_network_cidr: 172.16.0.0/16
-  dns_forwarder: 192.168.1.11
-  external_dns: 192.168.1.3
-
-  dnsaas_proxy_enable: "false"
-  dnsaas_proxied_keystone_url_path: "v2.0"
-  dnsaas_keystone_url: http://192.168.1.11:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 4c93f99551604bf7af25a8f80c7f34cb
-  dnsaas_tenant_name: onap
-  dnsaas_username: demo
-  dnsaas_password: demo
index 88d6b74..98e909f 100644 (file)
@@ -1,33 +1,16 @@
 parameters:
 
-  keystone_url: http://10.145.122.117:5000
-  openstack_tenant_id: 3d228d2fcbb7447bbba3cde703431bc1
-  openstack_tenant_name: onap-beijing-oom
-  openstack_username: demo
-  openstack_api_key: demo
-
   ubuntu_1404_image: trusty
   ubuntu_1604_image: xenial
-  centos_7_image: centos7
 
+  lab_name: huawei
   apt_proxy: 10.145.122.118:3142
   docker_proxy: 10.145.122.118:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 3a6247f1-fac6-4167-a49f-33cc8415ccf4
   public_net_name: provider
 
   oam_network_cidr: 172.16.0.0/16
-  dns_forwarder: 10.145.122.117
-  external_dns: 10.145.122.118
-
-  dnsaas_proxy_enable: "false"
-  dnsaas_proxied_keystone_url_path: "v2.0"
-  dnsaas_keystone_url: http://10.145.122.117:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 3d228d2fcbb7447bbba3cde703431bc1
-  dnsaas_tenant_name: onap-beijing-oom
-  dnsaas_username: demo
-  dnsaas_password: demo
index daa145a..eb0afc4 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: https://bdc1tlab01.research.att.com:5000
-  openstack_tenant_id: 76b1938dd3b9471fa1ed413a1b212a96
-  openstack_tenant_name: ETE-HEAT-Test
-  openstack_username: ${OS_USERNAME}
-  openstack_api_key: ${OS_PASSWORD}
-
   ubuntu_1404_image: "Ubuntu 14.04 LTS Generic"
   ubuntu_1604_image: "Ubuntu 16.04 LTS Generic"
-  centos_7_image: "centos7"
 
   lab_name: tlab
   apt_proxy: 192.168.31.204:3142
   docker_proxy: 192.168.31.204:5000
 
-  rancher_vm_flavor: m2.large
-  k8s_vm_flavor: m5.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: fbe8fd92-6636-4e63-ab28-bb6a5b0888a9
   public_net_name: admin-vpn-floating
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 204.178.3.230
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "false"
-  dnsaas_proxied_keystone_url_path: "v3"
-  dnsaas_keystone_url: https://bdc1tlab01.research.att.com:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 76b1938dd3b9471fa1ed413a1b212a96
-  dnsaas_tenant_name: ETE-HEAT-Test
-  dnsaas_username: ${OS_USERNAME}
-  dnsaas_password: ${OS_PASSWORD}
index cbda112..eb0afc4 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: https://bdc1tlab01.research.att.com:5000
-  openstack_tenant_id: b4062c7fbf9646b8a2bcb71c46695ff3
-  openstack_tenant_name: ETE-OOM-Test
-  openstack_username: ${OS_USERNAME}
-  openstack_api_key: ${OS_PASSWORD}
-
   ubuntu_1404_image: "Ubuntu 14.04 LTS Generic"
   ubuntu_1604_image: "Ubuntu 16.04 LTS Generic"
-  centos_7_image: "centos7"
 
   lab_name: tlab
   apt_proxy: 192.168.31.204:3142
   docker_proxy: 192.168.31.204:5000
 
-  rancher_vm_flavor: m2.large
-  k8s_vm_flavor: m5.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: fbe8fd92-6636-4e63-ab28-bb6a5b0888a9
   public_net_name: admin-vpn-floating
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 204.178.3.230
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "false"
-  dnsaas_proxied_keystone_url_path: "v3"
-  dnsaas_keystone_url: https://bdc1tlab01.research.att.com:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: b4062c7fbf9646b8a2bcb71c46695ff3
-  dnsaas_tenant_name: ETE-OOM-Test
-  dnsaas_username: ${OS_USERNAME}
-  dnsaas_password: ${OS_PASSWORD}
index cb92442..eb0afc4 100644 (file)
@@ -1,33 +1,16 @@
 parameters:
 
-  keystone_url: https://bdc1tlab01.research.att.com:5000
-  openstack_tenant_id: 01b47c21807242598cd5ab63d1c6ba8e
-  openstack_tenant_name: EXTONAP_DEV
-  openstack_username: ${OS_USERNAME}
-  openstack_api_key: ${OS_PASSWORD}
-
   ubuntu_1404_image: "Ubuntu 14.04 LTS Generic"
   ubuntu_1604_image: "Ubuntu 16.04 LTS Generic"
-  centos_7_image: "centos7"
 
+  lab_name: tlab
   apt_proxy: 192.168.31.204:3142
   docker_proxy: 192.168.31.204:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: fbe8fd92-6636-4e63-ab28-bb6a5b0888a9
   public_net_name: admin-vpn-floating
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 204.178.3.230
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "false"
-  dnsaas_proxied_keystone_url_path: "v3"
-  dnsaas_keystone_url: https://bdc1tlab01.research.att.com:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 01b47c21807242598cd5ab63d1c6ba8e
-  dnsaas_tenant_name: EXTONAP_DEV
-  dnsaas_username: ${OS_USERNAME}
-  dnsaas_password: ${OS_PASSWORD}
index 87302c9..c56d139 100644 (file)
@@ -52,23 +52,8 @@ aaf:
   enabled: true
 aai:
   enabled: true
-  # aai subchart image overrides
-  aai-champ:
-    image: onap/champ:1.2-STAGING-latest
-  aai-data-router:
-    image: onap/data-router:1.2-STAGING-latest
-  aai-modelloader:
-    image: onap/model-loader:1.2-STAGING-latest
-  aai-resources:
-    image: onap/aai-resources:1.2-STAGING-latest
-  aai-search-data:
-    image: onap/search-data-service:1.2-STAGING-latest
-  aai-sparky-be:
-    image: onap/sparky-be:1.2-STAGING-latest
-  aai-traveral:
-    image: onap/aai-traversal:1.2-STAGING-latest
 appc:
-  enabled: false
+  enabled: true
 clamp:
   enabled: true
 cli:
@@ -104,13 +89,13 @@ portal:
 robot:
   enabled: true
   #pullPolicy: Always
-#  config:
-    # openstack configuration
-#    openStackUserName: "demo"
-#    openStackRegion: "RegionOne"
-#    openStackKeyStoneUrl: "http://10.12.25.2:5000"
-#    openStackServiceTenantName: "service"
-#    openStackEncryptedPasswordHere: "c124921a3a0efbe579782cde8227681e"
+  config:
+  # openstack configuration
+  openStackUserName: "gw3113"
+  openStackRegion: "RegionOne"
+  openStackKeyStoneUrl: "https://bdc1tlab01.research.att.com:5000"
+  openStackServiceTenantName: "service"
+  openStackEncryptedPasswordHere: "05daa77613ae3690172d9f822883dda9"
 sdc:
   enabled: true
 sdnc:
@@ -120,11 +105,11 @@ so:
   # so server configuration
   config:
     # openstack configuration
-    openStackUserName: "demo"
+    openStackUserName: "gw3113"
     openStackRegion: "RegionOne"
     openStackKeyStoneUrl: "https://bdc1tlab01.research.att.com:5000"
     openStackServiceTenantName: "service"
-    openStackEncryptedPasswordHere: "bbaef6cd76625ab9eb60deedeae7dbb9"
+    openStackEncryptedPasswordHere: "05daa77613ae3690172d9f822883dda9"
 
 uui:
   enabled: true
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-Jenkins-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-Jenkins-DNS-openrc
deleted file mode 120000 (symlink)
index ad27388..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-Jenkins-DNS-openrc
\ No newline at end of file
index ff2f4e0..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: 09d8566ea45e43aa974cf447ed591d77
-  openstack_tenant_name: Integration-Jenkins
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: bf80d09fbc804b42b3bc727d6cf1fcbe
-  dnsaas_tenant_name: Integration-Jenkins
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-00-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-00-DNS-openrc
deleted file mode 120000 (symlink)
index f5d04b1..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-00-DNS-openrc
\ No newline at end of file
old mode 100755 (executable)
new mode 100644 (file)
index 1696597..e4fd54d
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: 41d6d38489bd40b09ea8a6b6b852dcbd
-  openstack_tenant_name: Integration-SB-00
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m1.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: a813ac529c6d4b44a3308ed38bcd7480
-  dnsaas_tenant_name: Integration-SB-00
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-01-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-01-DNS-openrc
deleted file mode 120000 (symlink)
index 208d760..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-01-DNS-openrc
\ No newline at end of file
index cd95096..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: 087050388b204c73a3e418dd2c1fe30b
-  openstack_tenant_name: Integration-SB-01
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 4318a6c5788449cc97c88fd745b554b9
-  dnsaas_tenant_name: Integration-SB-01
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-02-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-02-DNS-openrc
deleted file mode 120000 (symlink)
index 814962e..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-02-DNS-openrc
\ No newline at end of file
index bc113a8..53e26f0 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: ebb0ea7144004bacac1e39ff23105fa7
-  openstack_tenant_name: Integration-SB-02
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
-  oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 89fee629f5f044739fb64380be63b6da
-  dnsaas_tenant_name: Integration-SB-02
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
+  oam_network_cidr: 172.16.0.0/16
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-03-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-03-DNS-openrc
deleted file mode 120000 (symlink)
index 10a7b0b..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-03-DNS-openrc
\ No newline at end of file
index e05143e..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: bc43d50ffcb84750bac0c1707a9a765b
-  openstack_tenant_name: Integration-SB-03
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 29fb1a7806e84d8fbc93fa3945f1e2a5
-  dnsaas_tenant_name: Integration-SB-03
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-04-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-04-DNS-openrc
deleted file mode 120000 (symlink)
index cd1eeb5..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-04-DNS-openrc
\ No newline at end of file
index 2c00ad6..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: d570c718cbc545029f40e50b75eb13df
-  openstack_tenant_name: Integration-SB-04
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 024b911be9514ed7885af0c6bf6f68c8
-  dnsaas_tenant_name: Integration-SB-04
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-05-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-05-DNS-openrc
deleted file mode 120000 (symlink)
index 2210fcc..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-05-DNS-openrc
\ No newline at end of file
index 1a1bfa5..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: b8ad3842ab3642f7bf3fbe4e4d3b9f86
-  openstack_tenant_name: Integration-SB-05
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: d4e1d9e89456490cb7213092086e5c66
-  dnsaas_tenant_name: Integration-SB-05
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-06-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-06-DNS-openrc
deleted file mode 120000 (symlink)
index 850c255..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-06-DNS-openrc
\ No newline at end of file
index 184a211..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: 7fad299815104c0a8f90a8df80343f03
-  openstack_tenant_name: Integration-SB-06
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 2d7c6ec2cf9147fa974fa059b3673d7a
-  dnsaas_tenant_name: Integration-SB-06
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
diff --git a/deployment/heat/onap-oom/env/windriver/Integration-SB-07-DNS-openrc b/deployment/heat/onap-oom/env/windriver/Integration-SB-07-DNS-openrc
deleted file mode 120000 (symlink)
index 7e4a3af..0000000
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../test/ete/labs/windriver/Integration-SB-07-DNS-openrc
\ No newline at end of file
index 8df8435..e4fd54d 100644 (file)
@@ -1,34 +1,16 @@
 parameters:
 
-  keystone_url: http://10.12.25.2:5000
-  openstack_tenant_id: 1e097c6713e74fd7ac8e4295e605ee1e
-  openstack_tenant_name: Integration-SB-07
-  openstack_username: demo
-  openstack_api_key: onapdemo
-
   ubuntu_1404_image: ubuntu-14-04-cloud-amd64
   ubuntu_1604_image: ubuntu-16-04-cloud-amd64
-  centos_7_image: CentOS-7
 
   lab_name: windriver
   apt_proxy: 10.12.5.2:3142
   docker_proxy: 10.12.5.2:5000
 
-  rancher_vm_flavor: m1.large
-  k8s_vm_flavor: m2.xxlarge
+  rancher_vm_flavor: m1.xlarge
+  k8s_vm_flavor: m1.xlarge
 
   public_net_id: 971040b2-7059-49dc-b220-4fab50cb2ad4
   public_net_name: external
 
   oam_network_cidr: 10.0.0.0/16
-  dns_forwarder: 10.12.25.5
-  external_dns: 8.8.8.8
-
-  dnsaas_proxy_enable: "true"
-  dnsaas_proxied_keystone_url_path: "api/multicloud-titanium_cloud/v0/pod25_RegionOne/identity/v2.0"
-  dnsaas_keystone_url: http://10.12.25.5:5000
-  dnsaas_region: RegionOne
-  dnsaas_tenant_id: 885777d5e9074f31ad7801f9e6876b84
-  dnsaas_tenant_name: Integration-SB-07
-  dnsaas_username: demo
-  dnsaas_password: onapdemo
index 7e8ca46..79d7db5 100644 (file)
@@ -19,7 +19,11 @@ Acquire::https::Proxy "DIRECT";
 EOF
 fi
 apt-get -y update
-apt-get -y install linux-image-extra-$(uname -r) jq make
+
+mkdir -p /dockerdata-nfs
+echo "__rancher_ip_addr__:/dockerdata-nfs /dockerdata-nfs nfs auto,nofail,noatime,nolock,intr,tcp,actimeo=1800 0 0" | tee -a /etc/fstab
+
+apt-get -y install linux-image-extra-$(uname -r) jq nfs-common
 
 cd ~
 
@@ -27,155 +31,15 @@ cd ~
 curl -s https://releases.rancher.com/install-docker/17.03.sh | sh
 usermod -aG docker ubuntu
 
-# install kubernetes 1.8.6
-curl -s -LO https://storage.googleapis.com/kubernetes-release/release/v1.8.6/bin/linux/amd64/kubectl
-chmod +x ./kubectl
-sudo mv ./kubectl /usr/local/bin/kubectl
-mkdir ~/.kube
-
-# install helm
-wget -q http://storage.googleapis.com/kubernetes-helm/helm-v2.7.2-linux-amd64.tar.gz
-tar -zxvf helm-v2.7.2-linux-amd64.tar.gz
-sudo mv linux-amd64/helm /usr/local/bin/helm
-
 # Fix virtual memory allocation for onap-log:elasticsearch:
 echo "vm.max_map_count=262144" >> /etc/sysctl.conf
 sysctl -p
 
-# install rancher agent
-echo export RANCHER_IP=__rancher_ip_addr__ > api-keys-rc
-source api-keys-rc
-
-sleep 50
-until curl -s -o projects.json -H "Accept: application/json" http://$RANCHER_IP:8080/v2-beta/projects; do
-    sleep 10
-done
-OLD_PID=$(jq -r '.data[0].id' projects.json)
-
-curl -s -H "Accept: application/json" -H "Content-Type: application/json" -d '{"accountId":"1a1"}' http://$RANCHER_IP:8080/v2-beta/apikeys > apikeys.json
-echo export RANCHER_ACCESS_KEY=`jq -r '.publicValue' apikeys.json` >> api-keys-rc
-echo export RANCHER_SECRET_KEY=`jq -r '.secretValue' apikeys.json` >> api-keys-rc
-source api-keys-rc
-
-curl -s -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X DELETE -H 'Content-Type: application/json' "http://$RANCHER_IP:8080/v2-beta/projects/$OLD_PID"
-
-until [ ! -z "$TEMPLATE_ID" ] && [ "$TEMPLATE_ID" != "null" ]; do
-    sleep 5
-    curl -s -H "Accept: application/json" http://$RANCHER_IP:8080/v2-beta/projectTemplates?name=Kubernetes > projectTemplatesKubernetes.json
-    TEMPLATE_ID=$(jq -r '.data[0].id' projectTemplatesKubernetes.json)
-done
-
-curl -s -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X POST -H 'Content-Type: application/json' -d '{ "name":"oom", "projectTemplateId":"'$TEMPLATE_ID'" }' "http://$RANCHER_IP:8080/v2-beta/projects" > project.json
-PID=`jq -r '.id' project.json`
-echo export RANCHER_URL=http://$RANCHER_IP:8080/v1/projects/$PID >> api-keys-rc
-source api-keys-rc
-
-until [ $(jq -r '.state' project.json) == "active" ]; do
-    sleep 5
-    curl -s -H "Accept: application/json" http://$RANCHER_IP:8080/v1/projects/$PID > project.json
-done
+sleep 100
 
-TID=$(curl -s -X POST -H "Accept: application/json" -H "Content-Type: application/json" http://$RANCHER_IP:8080/v1/projects/$PID/registrationTokens | jq -r '.id')
-touch token.json
-while [ $(jq -r .command token.json | wc -c) -lt 10 ]; do
+while [ ! -e /dockerdata-nfs/rancher_agent_cmd.sh ]; do
+    mount /dockerdata-nfs
     sleep 5
-    curl -s -X GET -H "Accept: application/json" http://$RANCHER_IP:8080/v1/projects/$PID/registrationToken/$TID > token.json
 done
-RANCHER_AGENT_CMD=$(jq -r .command token.json)
-eval $RANCHER_AGENT_CMD
-
-
-KUBETOKEN=$(echo -n 'Basic '$(echo -n "$RANCHER_ACCESS_KEY:$RANCHER_SECRET_KEY" | base64 -w 0) | base64 -w 0)
-
-# create .kube/config
-cat > ~/.kube/config <<EOF
-apiVersion: v1
-kind: Config
-clusters:
-- cluster:
-    api-version: v1
-    insecure-skip-tls-verify: true
-    server: "https://$RANCHER_IP:8080/r/projects/$PID/kubernetes:6443"
-  name: "oom"
-contexts:
-- context:
-    cluster: "oom"
-    user: "oom"
-  name: "oom"
-current-context: "oom"
-users:
-- name: "oom"
-  user:
-    token: "$KUBETOKEN"
-EOF
-
-export KUBECONFIG=/root/.kube/config
-kubectl config view
-
-# wait for kubernetes to initialze
-sleep 100
-until [ $(kubectl get pods --namespace kube-system | tail -n +2 | grep -c Running) -ge 6 ]; do
-    sleep 10
-done
-
-
-# Install using OOM
-export HOME=/root
-
-# Clone OOM:
-cd ~
-git clone -b master http://gerrit.onap.org/r/oom
-cd oom
-git log -1
-
-# Update values.yaml to point to docker-proxy instead of nexus3:
-cd ~/oom/kubernetes
-#perl -p -i -e 's/nexus3.onap.org:10001/__docker_proxy__/g' `find ./ -name values.yaml`
-sed -i 's/nexus3.onap.org:10001/__docker_proxy__/g' onap/values.yaml
-sed -i 's/#repository:/repository:/g' onap/values.yaml
-sed -i 's/#repositorySecret:/repositorySecret:/g' onap/values.yaml
-git diff
-
-
-# Clone integration:
-cd ~
-git clone -b master http://gerrit.onap.org/r/integration
-cd integration
-git log -1
-
-cd ~
-ln -s ~/integration/deployment/heat/onap-oom/env/__lab_name__/integration-override.yaml
-sed -i 's/nexus3.onap.org:10001/__docker_proxy__/g' integration-override.yaml
-
-
-# version control the persistence volume to see what's happening
-mkdir -p /dockerdata-nfs/
-cd /dockerdata-nfs/
-git init
-git config user.email "root@k8s"
-git config user.name "root"
-git add -A
-git commit -m "initial commit"
-
-# Run ONAP:
-cd ~/oom/kubernetes/
-# verify version
-helm version
-helm init --client-only
-helm init --upgrade
-helm serve &
-sleep 3
-helm repo add local http://127.0.0.1:8879
-helm repo list
-make all
-helm search -l | grep local
-if [ -e ~/integration-override.yaml ]; then
-    helm install local/onap -n dev --namespace onap -f ~/integration-override.yaml
-else
-    helm install local/onap -n dev --namespace onap
-fi
-
+source /dockerdata-nfs/rancher_agent_cmd.sh
 
-# Check ONAP status:
-sleep 3
-kubectl get pods --all-namespaces
index a6a5cf0..aca3aa5 100644 (file)
@@ -23,26 +23,6 @@ parameters:
     type: string
     description: CIDR of the OAM ONAP network
 
-  keystone_url:
-    type: string
-    description: URL of OpenStack Keystone
-
-  openstack_tenant_id:
-    type: string
-    description: OpenStack tenant ID
-
-  openstack_tenant_name:
-    type: string
-    description: OpenStack tenant name (matching with the openstack_tenant_id)
-
-  openstack_username:
-    type: string
-    description: OpenStack username
-
-  openstack_api_key:
-    type: string
-    description: OpenStack password or API Key
-
   ubuntu_1404_image:
     type: string
     description: Name of the Ubuntu 14.04 image
@@ -51,10 +31,6 @@ parameters:
     type: string
     description: Name of the Ubuntu 16.04 image
 
-  centos_7_image:
-    type: string
-    description: the id/name of the CentOS 7 VM imange
-
   rancher_vm_flavor:
     type: string
     description: Name of the Ubuntu 14.04 image
@@ -63,46 +39,6 @@ parameters:
     type: string
     description: Name of the Ubuntu 14.04 image
 
-  dns_forwarder:
-    type: string
-    description: the forwarder address for setting up ONAP's private DNS server
-
-  external_dns:
-    type: string
-    description: Public IP of the external DNS for ONAP network
-
-  dnsaas_proxy_enable:
-    type: string
-    description: whether to enable DNSaaS proxy via multicloud
-
-  dnsaas_region:
-    type: string
-    description: the region of the cloud instance providing the Designate DNS as a Service
-
-  dnsaas_proxied_keystone_url_path:
-    type: string
-    description: the proxy keystone URL path for DCAE to use (via MultiCloud)
-
-  dnsaas_keystone_url:
-    type: string
-    description: the keystone URL of the cloud instance providing the Designate DNS as a Service
-
-  dnsaas_username:
-    type: string
-    description: the username of the cloud instance providing the Designate DNS as a Service
-
-  dnsaas_password:
-    type: string
-    description: the password of the cloud instance providing the Designate DNS as a Service
-
-  dnsaas_tenant_id:
-    type: string
-    description: the ID of the tenant in the cloud instance providing the Designate DNS as a Service
-
-  dnsaas_tenant_name:
-    type: string
-    description: the name of the tenant in the cloud instance providing the Designate DNS as a Service
-
 resources:
   random-str:
     type: OS::Heat::RandomString
@@ -157,7 +93,7 @@ resources:
             rand: { get_resource: random-str }
       network_id: { get_resource: oam_network }
       cidr: { get_param: oam_network_cidr }
-      dns_nameservers: [ get_param: dns_forwarder ]
+      dns_nameservers: [ "8.8.8.8" ]
 
   router:
     type: OS::Neutron::Router
@@ -195,15 +131,229 @@ resources:
       networks:
       - port: { get_resource: rancher_private_port }
       user_data_format: RAW
+      user_data:
+        str_replace:
+          template:
+            get_file: rancher_vm_entrypoint.sh
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+            __k8s_vm_ips__: [
+              get_attr: [k8s_1_floating_ip, floating_ip_address],
+              get_attr: [k8s_2_floating_ip, floating_ip_address],
+              get_attr: [k8s_3_floating_ip, floating_ip_address],
+              get_attr: [k8s_4_floating_ip, floating_ip_address],
+              get_attr: [k8s_5_floating_ip, floating_ip_address],
+              get_attr: [k8s_6_floating_ip, floating_ip_address],
+              get_attr: [k8s_7_floating_ip, floating_ip_address],
+            ]
+  k8s_1_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_1_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_1_private_port }
+
+  k8s_1_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_1
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_1_private_port }
+      user_data_format: RAW
       user_data:
         str_replace:
           params:
+            __lab_name__: { get_param: lab_name }
             __docker_proxy__: { get_param: docker_proxy }
             __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
           template:
-            get_file: rancher_vm_entrypoint.sh
+            get_file: k8s_vm_entrypoint.sh
+
+  k8s_2_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_2_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_2_private_port }
+
+  k8s_2_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_2
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_2_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
+
+  k8s_3_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_3_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_3_private_port }
+
+  k8s_3_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_3
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_3_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
+
+  k8s_4_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_4_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_4_private_port }
+
+  k8s_4_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_4
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_4_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
+
+  k8s_5_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_5_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_5_private_port }
+
+  k8s_5_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_5
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_5_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
+
+  k8s_6_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  k8s_6_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: k8s_6_private_port }
+
+  k8s_6_vm:
+    type: OS::Nova::Server
+    properties:
+      name: k8s_6
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: k8s_6_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
 
-  k8s_private_port:
+  k8s_7_private_port:
     type: OS::Neutron::Port
     properties:
       network: { get_resource: oam_network }
@@ -211,21 +361,21 @@ resources:
       security_groups:
       - { get_resource: onap_sg }
 
-  k8s_floating_ip:
+  k8s_7_floating_ip:
     type: OS::Neutron::FloatingIP
     properties:
       floating_network_id: { get_param: public_net_id }
-      port_id: { get_resource: k8s_private_port }
+      port_id: { get_resource: k8s_7_private_port }
 
-  k8s_vm:
+  k8s_7_vm:
     type: OS::Nova::Server
     properties:
-      name: k8s
+      name: k8s_7
       image: { get_param: ubuntu_1604_image }
       flavor: { get_param: k8s_vm_flavor }
       key_name: onap_key
       networks:
-      - port: { get_resource: k8s_private_port }
+      - port: { get_resource: k8s_7_private_port }
       user_data_format: RAW
       user_data:
         str_replace:
@@ -234,30 +384,6 @@ resources:
             __docker_proxy__: { get_param: docker_proxy }
             __apt_proxy__: { get_param: apt_proxy }
             __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
-            __k8s_ip_addr__: { get_attr: [k8s_floating_ip, floating_ip_address] }
-            __openstack_tenant_id__: { get_param: openstack_tenant_id }
-            __openstack_tenant_name__: { get_param: openstack_tenant_name }
-            __openstack_username__: { get_param: openstack_username }
-            __openstack_api_key__: { get_param : openstack_api_key }
-            __public_net_id__: { get_param: public_net_id }
-            __public_net_name__: { get_param: public_net_name }
-            __oam_network_id__: { get_resource: oam_network }
-            __oam_subnet_id__: { get_resource: oam_subnet }
-            __oam_network_cidr__: { get_param: oam_network_cidr }
-            __ubuntu_1404_image__: { get_param: ubuntu_1404_image }
-            __ubuntu_1604_image__: { get_param: ubuntu_1604_image }
-            __centos_7_image__: { get_param: centos_7_image }
-            __keystone_url__: { get_param: keystone_url }
-            __dns_forwarder__: { get_param: dns_forwarder }
-            __external_dns__: { get_param: external_dns }
-            __dnsaas_proxy_enable__: { get_param: dnsaas_proxy_enable }
-            __dnsaas_proxied_keystone_url_path__: { get_param: dnsaas_proxied_keystone_url_path }
-            __dnsaas_keystone_url__: { get_param: dnsaas_keystone_url }
-            __dnsaas_region__: { get_param: dnsaas_region }
-            __dnsaas_tenant_id__: { get_param: dnsaas_tenant_id }
-            __dnsaas_tenant_name__: { get_param: dnsaas_tenant_name }
-            __dnsaas_username__: { get_param: dnsaas_username }
-            __dnsaas_password__: { get_param: dnsaas_password }
           template:
             get_file: k8s_vm_entrypoint.sh
 
@@ -266,6 +392,3 @@ outputs:
     description: The IP address of the rancher instance
     value: { get_attr: [rancher_floating_ip, floating_ip_address] }
 
-  k8s_vm_ip:
-    description: The IP address of the k8s instance
-    value: { get_attr: [k8s_floating_ip, floating_ip_address] }
diff --git a/deployment/heat/onap-oom/parts/onap-oom-1.yaml b/deployment/heat/onap-oom/parts/onap-oom-1.yaml
new file mode 100644 (file)
index 0000000..ef408b4
--- /dev/null
@@ -0,0 +1,123 @@
+heat_template_version: 2015-10-15
+description: ONAP on Kubernetes using OOM
+
+parameters:
+  lab_name:
+    type: string
+
+  docker_proxy:
+    type: string
+
+  apt_proxy:
+    type: string
+
+  public_net_id:
+    type: string
+    description: The ID of the Public network for floating IP address allocation
+
+  public_net_name:
+    type: string
+    description: The name of the Public network referred by public_net_id
+
+  oam_network_cidr:
+    type: string
+    description: CIDR of the OAM ONAP network
+
+  ubuntu_1404_image:
+    type: string
+    description: Name of the Ubuntu 14.04 image
+
+  ubuntu_1604_image:
+    type: string
+    description: Name of the Ubuntu 16.04 image
+
+  rancher_vm_flavor:
+    type: string
+    description: Name of the Ubuntu 14.04 image
+
+  k8s_vm_flavor:
+    type: string
+    description: Name of the Ubuntu 14.04 image
+
+resources:
+  random-str:
+    type: OS::Heat::RandomString
+    properties:
+      length: 4
+
+  # ONAP security group
+  onap_sg:
+    type: OS::Neutron::SecurityGroup
+    properties:
+      name:
+        str_replace:
+          template: base_rand
+          params:
+            base: onap_sg
+            rand: { get_resource: random-str }
+      description: security group used by ONAP
+      rules:
+        # All egress traffic
+        - direction: egress
+          ethertype: IPv4
+        - direction: egress
+          ethertype: IPv6
+        # ingress traffic
+        # ICMP
+        - protocol: icmp
+        - protocol: udp
+          port_range_min: 1
+          port_range_max: 65535
+        - protocol: tcp
+          port_range_min: 1
+          port_range_max: 65535
+
+
+  # ONAP management private network
+  oam_network:
+    type: OS::Neutron::Net
+    properties:
+      name:
+        str_replace:
+          template: oam_network_rand
+          params:
+            rand: { get_resource: random-str }
+
+  oam_subnet:
+    type: OS::Neutron::Subnet
+    properties:
+      name:
+        str_replace:
+          template: oam_network_rand
+          params:
+            rand: { get_resource: random-str }
+      network_id: { get_resource: oam_network }
+      cidr: { get_param: oam_network_cidr }
+      dns_nameservers: [ "8.8.8.8" ]
+
+  router:
+    type: OS::Neutron::Router
+    properties:
+      external_gateway_info:
+        network: { get_param: public_net_id }
+
+  router_interface:
+    type: OS::Neutron::RouterInterface
+    properties:
+      router_id: { get_resource: router }
+      subnet_id: { get_resource: oam_subnet }
+
+  rancher_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  rancher_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: rancher_private_port }
+
diff --git a/deployment/heat/onap-oom/parts/onap-oom-2.yaml b/deployment/heat/onap-oom/parts/onap-oom-2.yaml
new file mode 100644 (file)
index 0000000..cdc2247
--- /dev/null
@@ -0,0 +1,34 @@
+  ${K8S_VM_NAME}_private_port:
+    type: OS::Neutron::Port
+    properties:
+      network: { get_resource: oam_network }
+      fixed_ips: [{"subnet": { get_resource: oam_subnet }}]
+      security_groups:
+      - { get_resource: onap_sg }
+
+  ${K8S_VM_NAME}_floating_ip:
+    type: OS::Neutron::FloatingIP
+    properties:
+      floating_network_id: { get_param: public_net_id }
+      port_id: { get_resource: ${K8S_VM_NAME}_private_port }
+
+  ${K8S_VM_NAME}_vm:
+    type: OS::Nova::Server
+    properties:
+      name: ${K8S_VM_NAME}
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: k8s_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: ${K8S_VM_NAME}_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+          template:
+            get_file: k8s_vm_entrypoint.sh
+
diff --git a/deployment/heat/onap-oom/parts/onap-oom-3.yaml b/deployment/heat/onap-oom/parts/onap-oom-3.yaml
new file mode 100644 (file)
index 0000000..8dc35b6
--- /dev/null
@@ -0,0 +1,5 @@
+outputs:
+  rancher_vm_ip:
+    description: The IP address of the rancher instance
+    value: { get_attr: [rancher_floating_ip, floating_ip_address] }
+
index 12ed51f..2babb28 100644 (file)
@@ -1,6 +1,10 @@
 #!/bin/bash -x
 printenv
 
+mkdir -p /opt/config
+echo "__rancher_ip_addr__" > /opt/config/rancher_ip_addr.txt
+echo "__k8s_vm_ips__" > /opt/config/k8s_vm_ips.txt
+
 echo `hostname -I` `hostname` >> /etc/hosts
 mkdir -p /etc/docker
 if [ ! -z "__docker_proxy__" ]; then
@@ -17,6 +21,187 @@ Acquire::https::Proxy "DIRECT";
 EOF
 fi
 apt-get -y update
-apt-get -y install docker.io
+apt-get -y install linux-image-extra-$(uname -r) jq make nfs-kernel-server
+
+
+# version control the persistence volume to see what's happening
+mkdir -p /dockerdata-nfs/
+chmod 777 /dockerdata-nfs/
+chown nobody:nogroup /dockerdata-nfs/
+cd /dockerdata-nfs/
+git init
+git config user.email "root@k8s"
+git config user.name "root"
+git add -A
+git commit -m "initial commit"
+
+# export NFS mount
+NFS_EXP=""
+for K8S_VM_IP in $(tr -d ',[]' < /opt/config/k8s_vm_ips.txt); do
+    NFS_EXP+="$K8S_VM_IP(rw,sync,no_root_squash,no_subtree_check) "
+done
+echo "/dockerdata-nfs $NFS_EXP" | tee /etc/exports
+
+
+exportfs -a
+systemctl restart nfs-kernel-server
+
+cd ~
+
+# install docker 17.03
+curl -s https://releases.rancher.com/install-docker/17.03.sh | sh
 usermod -aG docker ubuntu
-docker run --restart unless-stopped -d -p 8080:8080 rancher/server:v1.6.14
+
+docker run --restart unless-stopped -d -p 8080:8080  -e CATTLE_BOOTSTRAP_REQUIRED_IMAGE=__docker_proxy__/rancher/agent:v1.2.9 __docker_proxy__/rancher/server:v1.6.14
+
+# install kubernetes 1.8.6
+curl -s -LO https://storage.googleapis.com/kubernetes-release/release/v1.8.10/bin/linux/amd64/kubectl
+chmod +x ./kubectl
+sudo mv ./kubectl /usr/local/bin/kubectl
+mkdir ~/.kube
+
+# install helm
+wget -q http://storage.googleapis.com/kubernetes-helm/helm-v2.8.2-linux-amd64.tar.gz
+tar -zxvf helm-v2.8.2-linux-amd64.tar.gz
+sudo mv linux-amd64/helm /usr/local/bin/helm
+
+echo export RANCHER_IP=__rancher_ip_addr__ > api-keys-rc
+source api-keys-rc
+
+sleep 50
+until curl -s -o projects.json -H "Accept: application/json" http://$RANCHER_IP:8080/v2-beta/projects; do
+    sleep 10
+done
+OLD_PID=$(jq -r '.data[0].id' projects.json)
+
+curl -s -H "Accept: application/json" -H "Content-Type: application/json" -d '{"accountId":"1a1"}' http://$RANCHER_IP:8080/v2-beta/apikeys > apikeys.json
+echo export RANCHER_ACCESS_KEY=`jq -r '.publicValue' apikeys.json` >> api-keys-rc
+echo export RANCHER_SECRET_KEY=`jq -r '.secretValue' apikeys.json` >> api-keys-rc
+source api-keys-rc
+
+
+curl -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X PUT -H 'Accept: application/json' -H 'Content-Type: application/json' -d '{"id":"registry.default","type":"activeSetting","baseType":"setting","name":"registry.default","activeValue":"__docker_proxy__","inDb":true,"source":"Database","value":"__docker_proxy__"}'  http://$RANCHER_IP:8080/v2-beta/settings/registry.default
+
+curl -s -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X DELETE -H 'Content-Type: application/json' "http://$RANCHER_IP:8080/v2-beta/projects/$OLD_PID"
+
+until [ ! -z "$TEMPLATE_ID" ] && [ "$TEMPLATE_ID" != "null" ]; do
+    sleep 5
+    curl -s -H "Accept: application/json" http://$RANCHER_IP:8080/v2-beta/projectTemplates?name=Kubernetes > projectTemplatesKubernetes.json
+    TEMPLATE_ID=$(jq -r '.data[0].id' projectTemplatesKubernetes.json)
+done
+
+curl -s -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X POST -H 'Content-Type: application/json' -d '{ "name":"oom", "projectTemplateId":"'$TEMPLATE_ID'" }' "http://$RANCHER_IP:8080/v2-beta/projects" > project.json
+PID=`jq -r '.id' project.json`
+echo export RANCHER_URL=http://$RANCHER_IP:8080/v1/projects/$PID >> api-keys-rc
+source api-keys-rc
+
+until [ $(jq -r '.state' project.json) == "active" ]; do
+    sleep 5
+    curl -s -H "Accept: application/json" http://$RANCHER_IP:8080/v1/projects/$PID > project.json
+done
+
+
+curl -s -u $RANCHER_ACCESS_KEY:$RANCHER_SECRET_KEY -X POST -H 'Accept: application/json' -H 'Content-Type: application/json' -d '{"name":"docker-proxy", "serverAddress":"__docker_proxy__"}' $RANCHER_URL/registries > registry.json
+RID=$(jq -r '.id' registry.json)
+
+
+curl -u "${RANCHER_ACCESS_KEY}:${RANCHER_SECRET_KEY}" -X POST -H 'Accept: application/json' -H 'Content-Type: application/json' -d '{"publicValue":"docker", "registryId":"'$RID'", "secretValue":"docker", "type":"registryCredential"}' "http://$RANCHER_IP:8080/v2-beta/projects/$PID/registrycredential"
+
+
+
+TID=$(curl -s -X POST -H "Accept: application/json" -H "Content-Type: application/json" http://$RANCHER_IP:8080/v1/projects/$PID/registrationTokens | jq -r '.id')
+touch token.json
+while [ $(jq -r .command token.json | wc -c) -lt 10 ]; do
+    sleep 5
+    curl -s -X GET -H "Accept: application/json" http://$RANCHER_IP:8080/v1/projects/$PID/registrationToken/$TID > token.json
+done
+jq -r .command token.json > rancher_agent_cmd.sh
+chmod +x rancher_agent_cmd.sh
+cp rancher_agent_cmd.sh /dockerdata-nfs
+
+
+KUBETOKEN=$(echo -n 'Basic '$(echo -n "$RANCHER_ACCESS_KEY:$RANCHER_SECRET_KEY" | base64 -w 0) | base64 -w 0)
+
+# create .kube/config
+cat > ~/.kube/config <<EOF
+apiVersion: v1
+kind: Config
+clusters:
+- cluster:
+    api-version: v1
+    insecure-skip-tls-verify: true
+    server: "https://$RANCHER_IP:8080/r/projects/$PID/kubernetes:6443"
+  name: "oom"
+contexts:
+- context:
+    cluster: "oom"
+    user: "oom"
+  name: "oom"
+current-context: "oom"
+users:
+- name: "oom"
+  user:
+    token: "$KUBETOKEN"
+EOF
+
+export KUBECONFIG=/root/.kube/config
+kubectl config view
+
+# wait for kubernetes to initialze
+sleep 100
+until [ $(kubectl get pods --namespace kube-system | tail -n +2 | grep -c Running) -ge 6 ]; do
+    sleep 10
+done
+
+
+# Install using OOM
+export HOME=/root
+
+# Clone OOM:
+cd ~
+git clone -b master http://gerrit.onap.org/r/oom
+cd oom
+git log -1
+
+# Update values.yaml to point to docker-proxy instead of nexus3:
+cd ~/oom/kubernetes
+#perl -p -i -e 's/nexus3.onap.org:10001/__docker_proxy__/g' `find ./ -name values.yaml`
+sed -i 's/nexus3.onap.org:10001/__docker_proxy__/g' onap/values.yaml
+sed -i 's/#repository:/repository:/g' onap/values.yaml
+sed -i 's/#repositorySecret:/repositorySecret:/g' onap/values.yaml
+git diff
+
+
+# Clone integration:
+cd ~
+git clone -b master http://gerrit.onap.org/r/integration
+cd integration
+git log -1
+
+cd ~
+ln -s ~/integration/deployment/heat/onap-oom/env/__lab_name__/integration-override.yaml
+sed -i 's/nexus3.onap.org:10001/__docker_proxy__/g' integration-override.yaml
+
+
+# Run ONAP:
+cd ~/oom/kubernetes/
+# verify version
+helm version
+helm init --client-only
+helm init --upgrade
+helm serve &
+sleep 3
+helm repo add local http://127.0.0.1:8879
+helm repo list
+make all
+helm search -l | grep local
+if [ -e ~/integration-override.yaml ]; then
+    helm install local/onap -n dev --namespace onap -f ~/integration-override.yaml
+else
+    helm install local/onap -n dev --namespace onap
+fi
+
+
+# Check ONAP status:
+sleep 3
+kubectl get pods --all-namespaces
index 056174d..c4d9bf8 100755 (executable)
@@ -21,31 +21,30 @@ for n in $(seq 1 5); do
 
     for i in $(seq 1 30); do
        sleep 30
-       K8S_IP=$(openstack stack output show onap-oom k8s_vm_ip -c output_value -f value)
        RANCHER_IP=$(openstack stack output show onap-oom rancher_vm_ip -c output_value -f value)
-       timeout 1 ping -c 1 "$K8S_IP" && timeout 1 ping -c 1 "$RANCHER_IP" && break
+       timeout 1 ping -c 1 "$RANCHER_IP" && break
     done
 
-    timeout 1 ping -c 1 "$K8S_IP" && timeout 1 ping -c 1 "$RANCHER_IP" && break
+    timeout 1 ping -c 1 "$RANCHER_IP" && break
 
-    echo Error: OpenStack infrastructure issue: unable to reach both rancher "$RANCHER_IP" and k8s "$K8S_IP"
+    echo Error: OpenStack infrastructure issue: unable to reach rancher "$RANCHER_IP"
     sleep 10
 done
 
-if ! timeout 1 ping -c 1 "$K8S_IP" || ! timeout 1 ping -c 1 "$RANCHER_IP"; then
+if ! timeout 1 ping -c 1 "$RANCHER_IP"; then
     exit 2
 fi
 
-ssh-keygen -R $K8S_IP
+ssh-keygen -R $RANCHER_IP
 for n in $(seq 1 10); do
-    timeout 15m ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP  'sudo su -l root -c "/root/oom/kubernetes/robot/ete-k8s.sh onap health"'
+    timeout 15m ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP  'sudo su -l root -c "/root/oom/kubernetes/robot/ete-k8s.sh onap health"'
     RESULT=$?
     if [ $RESULT -eq 0 ]; then
        break
     fi
     sleep 15m
 done
-ROBOT_POD=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP 'sudo su -c "kubectl --namespace onap get pods"' | grep robot | sed 's/ .*//')
-LOG_DIR=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP "sudo su -c \"kubectl exec $ROBOT_POD --namespace onap -- ls -1t /share/logs | head -1\"")
-wget --user=robot --password=robot -r -np -nH --cut-dirs=2 -R "index.html*" -P $WORKSPACE/archives/ http://$K8S_IP:30209/logs/$LOG_DIR/
+ROBOT_POD=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP 'sudo su -c "kubectl --namespace onap get pods"' | grep robot | sed 's/ .*//')
+LOG_DIR=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP "sudo su -c \"kubectl exec $ROBOT_POD --namespace onap -- ls -1t /share/logs | head -1\"")
+wget --user=robot --password=robot -r -np -nH --cut-dirs=2 -R "index.html*" -P $WORKSPACE/archives/ http://$RANCHER_IP:30209/logs/$LOG_DIR/
 exit 0
diff --git a/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh b/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh
new file mode 100755 (executable)
index 0000000..a633658
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+NUM_K8S_VMS=7
+
+if [ -z "$WORKSPACE" ]; then
+    export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+PARTS_DIR=$WORKSPACE/deployment/heat/onap-oom/parts
+
+cat $PARTS_DIR/onap-oom-1.yaml
+
+cat <<EOF
+  rancher_vm:
+    type: OS::Nova::Server
+    properties:
+      name: rancher
+      image: { get_param: ubuntu_1604_image }
+      flavor: { get_param: rancher_vm_flavor }
+      key_name: onap_key
+      networks:
+      - port: { get_resource: rancher_private_port }
+      user_data_format: RAW
+      user_data:
+        str_replace:
+          template:
+            get_file: rancher_vm_entrypoint.sh
+          params:
+            __lab_name__: { get_param: lab_name }
+            __docker_proxy__: { get_param: docker_proxy }
+            __apt_proxy__: { get_param: apt_proxy }
+            __rancher_ip_addr__: { get_attr: [rancher_floating_ip, floating_ip_address] }
+            __k8s_vm_ips__: [
+EOF
+
+for VM_NUM in $(seq $NUM_K8S_VMS); do
+    K8S_VM_NAME=k8s_$VM_NUM
+    cat <<EOF
+              get_attr: [${K8S_VM_NAME}_floating_ip, floating_ip_address],
+EOF
+done
+
+cat <<EOF
+            ]
+EOF
+
+for VM_NUM in $(seq $NUM_K8S_VMS); do
+    K8S_VM_NAME=k8s_$VM_NUM envsubst < $PARTS_DIR/onap-oom-2.yaml
+done
+
+cat $PARTS_DIR/onap-oom-3.yaml